package com.fs.course.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsCourseSopAppLink;
import com.fs.course.vo.FsSopMyCourseLinkVO;

import java.util.List;

/**
 * sop发送app消息的记录Service接口
 *
 * @author fs
 * @date 2025-03-20
 */
public interface IFsCourseSopAppLinkService extends IService<FsCourseSopAppLink> {
    /**
     * 查询sop发送app消息的记录
     *
     * @param id sop发送app消息的记录主键
     * @return sop发送app消息的记录
     */
    FsCourseSopAppLink selectFsCourseSopAppLinkById(Long id);

    /**
     * 查询sop发送app消息的记录列表
     *
     * @param fsCourseSopAppLink sop发送app消息的记录
     * @return sop发送app消息的记录集合
     */
    List<FsCourseSopAppLink> selectFsCourseSopAppLinkList(FsCourseSopAppLink fsCourseSopAppLink);

    /**
     * 新增sop发送app消息的记录
     *
     * @param fsCourseSopAppLink sop发送app消息的记录
     * @return 结果
     */
    int insertFsCourseSopAppLink(FsCourseSopAppLink fsCourseSopAppLink);

    /**
     * 修改sop发送app消息的记录
     *
     * @param fsCourseSopAppLink sop发送app消息的记录
     * @return 结果
     */
    int updateFsCourseSopAppLink(FsCourseSopAppLink fsCourseSopAppLink);

    /**
     * 批量删除sop发送app消息的记录
     *
     * @param ids 需要删除的sop发送app消息的记录主键集合
     * @return 结果
     */
    int deleteFsCourseSopAppLinkByIds(Long[] ids);

    /**
     * 删除sop发送app消息的记录信息
     *
     * @param id sop发送app消息的记录主键
     * @return 结果
     */
    int deleteFsCourseSopAppLinkById(Long id);


    List<FsSopMyCourseLinkVO>  getSopCourseStudyList(Long userId);

    Integer selectSopCountIsNotRead(Long userId);

    int updateFsCourseSopAppLinkByLink(String id);
}
